gnusound crashes X session immediately on launch

Bug #282939 reported by tsultana
262
This bug affects 42 people
Affects Status Importance Assigned to Milestone
GNUsound
Unknown
Unknown
gnome-session
Incomplete
Undecided
Unassigned
gnusound (Debian)
Fix Released
Unknown
gnusound (Ubuntu)
Fix Released
Medium
Brian Murray
nvidia-graphics-drivers-180 (Ubuntu)
Invalid
Undecided
Unassigned

Bug Description

Binary package hint: gnusound

I installed gnusound 0.7.4-8build1 from Synaptic. When I click on the GNUsound icon, it crashes and boots me out of my login back to the login screen. It does this each time. When I attempt to run gnusound from the terminal I get the crash attached as gnusound\ terminal.txt. I have also attached the gnusound.log from .gnusound folder.

Related branches

Revision history for this message
tsultana (tsultana) wrote :
Revision history for this message
tsultana (tsultana) wrote :
Revision history for this message
greyor (greyor) wrote :

I have the same problem, I can confirm this bug. A pity, too, because I like using GNUsound for my once-in-a-while sound editing needs.

I've also attached a backtrace and a stacktrace/strace in addition to my gnusound.log and gnusound terminal.txt as above.

Revision history for this message
greyor (greyor) wrote :
Revision history for this message
greyor (greyor) wrote :
Revision history for this message
greyor (greyor) wrote :
Revision history for this message
greyor (greyor) wrote :

Also, if it helps, here's a quick screenshot of the program in action. The window shows up for a moment, but disappears if you continue the execution in gdb.

Revision history for this message
Erik Reuter (misc71) wrote :

I am also experiencing identical crashes to greyor. I just installed gnusound and have never successfully run it before.

Revision history for this message
Cesar Negrete (cesar-negrete) wrote :

Why is it that no one looks into this bug?

gnusound worked great on 7.04, in fact that was one of the only sound applications that ran properly under pulseaudio, and now it isn't working.

Any ideas on when and if this could be fixed?

Revision history for this message
Andrew (keen101) wrote :

I also have this problem. This is the first time I've ever tried GNUsound. I am using a computer with an ATI graphics card if that helps. I am Running Ubuntu 8.10 Intrepid Ibex with all the updates up to now, so my system should not be the beta anymore.

attached is my terminal error.

Revision history for this message
Andrew (keen101) wrote :

here is my log file also.

Revision history for this message
Akaname (akaname) wrote :

Same problem. Also with ATI graphics card on laptop :-)

Revision history for this message
ice (ice-simx) wrote :

i'm using ubuntu intrepid 8.10 2.6.27-7-generic #1 SMP, dell vostro 1510 intel x3100 3 GB RAM, having same problem
This is first time i try gnusound, each time on clicking it, screen crash and login screen came up (ie forcefully logged out).

Revision history for this message
HolgiT (holgit) wrote :

The problem also exists in Jaunty, and it seems not to depend on the graphic: I encounter the crash on a vmware guest, no ATI driver.

Revision history for this message
Coglin (clewis-admin-cara) wrote :

Hi I'm using Ubuntu Studio 8.10 updated (running Gnome 2.24.1 and kernel 2.6.27-11-generic, GCC 4.3.2, Xorg 1.5.2) and GNUsound causes the same "logout" issue. PC is an older P4 32 bit , 2Gb RAM and plenty of HDD space, Graphics is onboard intel - 82865G chip. Have looked in logs but cannot find reference to what's going on.

Revision history for this message
Id2ndR (id2ndr) wrote :

Confirmed on jaunty.

Changed in gnusound (Ubuntu):
status: New → Confirmed
Revision history for this message
Geek87 (geek87) wrote : Re: [Bug 282939] Re: gnusound crash in Intrepid Ibex Beta

Le dimanche 19 avril 2009 à 11:59 +0000, Id2ndR a écrit :
> Confirmed on jaunty.
>
> ** Changed in: gnusound (Ubuntu)
> Status: New => Confirmed
>

I can confirm that Gnusound still craches the GNOME session when
starting. Using Jaunty RC.

Revision history for this message
komputes (komputes) wrote : Re: gnusound crash in Intrepid Ibex Beta

I can confirm that this software crashes the X session when launched in Intrepid, Jaunty or Karmic.

Marked 377787 as a duplicate of this bug. This now brings the duplicate count to 5.

The following bug asks that 0.7.5-2 be packaged for Karmic (which still crashes when launched).
https://bugs.launchpad.net/ubuntu/+source/gnusound/+bug/354999

summary: - gnusound crash in Intrepid Ibex Beta
+ gnusound crashes immediately on launch
summary: - gnusound crashes immediately on launch
+ gnusound crashes X session immediately on launch (Affects Intrepid,
+ Jaunty, Karmic)
Revision history for this message
komputes (komputes) wrote :

The upstream prroject doesn't seem to have a bug tracker - they use the following mailing list: <email address hidden>

http://www.gnu.org/software/gnusound/Documentation/ar01s06.html

Revision history for this message
eris23 (jdkatz23) wrote : Re: gnusound crashes X session immediately on launch (Affects Intrepid, Jaunty, Karmic)

gnusound crashes immediately on launch in karmic, 64bit, nvidia (binary), back to login screen

Revision history for this message
nshepperd (nshepperd) wrote :

Isn't this an X bug as well? A user program shouldn't be able to just *kill* the X server without even having something in the log.

Revision history for this message
komputes (komputes) wrote :

Bryce, if you have some time, can you review this bug to find out why a program like gnusound can crash an X session, just by being executed.

Revision history for this message
Bryce Harrington (bryce) wrote :

Not enough information has been provided to examine this from an xorg perspective. Run apport-collect 282939 after reproducing the xorg crash.

Refiling against -nvidia as per comment #20.

Changed in xorg (Ubuntu):
status: New → Incomplete
affects: xorg (Ubuntu) → nvidia-graphics-drivers-180 (Ubuntu)
Revision history for this message
Coglin (clewis-admin-cara) wrote : RE: [Bug 282939] Re: gnusound crashes X session immediately on launch (Affects Intrepid, Jaunty, Karmic)

HI

I have since reworked the PC and not used GNU sound since.

If I get the chance in the next few days I'll fire it up and see what happens and try to get more info if able

Cheers
Col

> -----Original Message-----
> From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
> Bryce Harrington
> Sent: Monday, 24 August 2009 5:40 AM
> To: Colin Lewis
> Subject: [Bug 282939] Re: gnusound crashes X session immediately on
> launch (Affects Intrepid, Jaunty, Karmic)
>
> Not enough information has been provided to examine this from an xorg
> perspective. Run apport-collect 282939 after reproducing the xorg
> crash.
>
> Refiling against -nvidia as per comment #20.
>
> ** Changed in: xorg (Ubuntu)
> Status: New => Incomplete
>
> ** Package changed: xorg (Ubuntu) => nvidia-graphics-drivers-180
> (Ubuntu)
>
> --
> gnusound crashes X session immediately on launch (Affects Intrepid,
> Jaunty, Karmic)
> https://bugs.launchpad.net/bugs/282939
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “gnusound” package in Ubuntu: Confirmed
> Status in “nvidia-graphics-drivers-180” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: gnusound
>
> I installed gnusound 0.7.4-8build1 from Synaptic. When I click on the
> GNUsound icon, it crashes and boots me out of my login back to the
> login screen. It does this each time. When I attempt to run gnusound
> from the terminal I get the crash attached as gnusound\ terminal.txt.
> I have also attached the gnusound.log from .gnusound folder.

Revision history for this message
lhz (m-lhaza) wrote : Re: gnusound crashes X session immediately on launch (Affects Intrepid, Jaunty, Karmic)

hi,

just gave gnusound a try from current jaunty on my hp pavillion tx2650 with an ATI 3200 using the radeon driver: it crashes X just like it crashes X on my Nvidia equipped PC running 8.10, when called via gnome.menu ... if someone needs a specific log, just let me know...

Revision history for this message
Alexey Kotlyarov (koterpillar) wrote : apport-collect data

Architecture: amd64
DistroRelease: Ubuntu 9.04
NonfreeKernelModules: nvidia
Package: nvidia-graphics-drivers-180
PackageArchitecture: amd64
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LANG=ru_RU.UTF-8
ProcVersion: Linux version 2.6.31-6-generic (buildd@yellow) (gcc version 4.4.1 (Ubuntu 4.4.1-1ubuntu3) ) #26-Ubuntu SMP Fri Aug 21 17:55:00 UTC 2009
Uname: Linux 2.6.31-6-generic x86_64
UserGroups: adm admin audio cdrom dialout dip fax floppy fuse lpadmin netdev plugdev sambashare tape video

Revision history for this message
Alexey Kotlyarov (koterpillar) wrote : Re: gnusound crashes X session immediately on launch (Affects Intrepid, Jaunty, Karmic)
Revision history for this message
Alexey Kotlyarov (koterpillar) wrote :
Revision history for this message
Alexey Kotlyarov (koterpillar) wrote :
Revision history for this message
Alexey Kotlyarov (koterpillar) wrote :
Revision history for this message
Alexey Kotlyarov (koterpillar) wrote :
Revision history for this message
Alexey Kotlyarov (koterpillar) wrote :
Revision history for this message
Alexey Kotlyarov (koterpillar) wrote :
Revision history for this message
Alexey Kotlyarov (koterpillar) wrote :
Revision history for this message
Alexey Kotlyarov (koterpillar) wrote :
Revision history for this message
Alexey Kotlyarov (koterpillar) wrote :
Revision history for this message
Alexey Kotlyarov (koterpillar) wrote :
Revision history for this message
Alexey Kotlyarov (koterpillar) wrote :
Revision history for this message
Alexey Kotlyarov (koterpillar) wrote :
Revision history for this message
Alexey Kotlyarov (koterpillar) wrote :

Bruce, just ran what you suggested. But it does not crash the X server, only X session. I ran it from an gnome session within an xterm session:
gnome-session > gnome-session.log 2>&1
Indeed, gnome-session crashed, leaving xterm and X server running. (However, couldn't get the focus back to xterm.) Here's the log.

Bryce Harrington (bryce)
tags: added: karmic
tags: added: jaunty
tags: added: intrepid
Changed in nvidia-graphics-drivers-180 (Ubuntu):
status: Incomplete → Invalid
tags: added: apport-collected
26 comments hidden view all 106 comments
Revision history for this message
Jon Hornstein (jon-hornstein) wrote :

Just my 2 cents worth.

Aisano's crash dump attached on 2009-09-20 #58 in the activity log

/lib/tls/i686/cmov/libc.so.6(__fortify_fail+0x48)[0xb7192da8]
/lib/tls/i686/cmov/libc.so.6[0xb7190eb0]
/lib/tls/i686/cmov/libc.so.6[0xb71907b7]
/lib/tls/i686/cmov/libc.so.6(__snprintf_chk+0x34)[0xb71906a4]
/usr/bin/gnusound.real(draw_mi/lib/tls/i686/cmov/libc.so.6(__fortify_fail+0x48)[0xb7192da8]
/lib/tls/i686/cmov/libc.so.6[0xb7190eb0]
/lib/tls/i686/cmov/libc.so.6[0xb71907b7]
/lib/tls/i686/cmov/libc.so.6(__snprintf_chk+0x34)[0xb71906a4]
/usr/bin/gnusound.real(draw_mixer_sliders+0x2f5)[0x806f6e5]
xer_sliders+0x2f5)[0x806f6e5]

This pointed to the function "draw_mixer_sliders" as a culprit.

The only snprintf in the function superficially seems broken!

Without building the code with approprate asserts etc

            if(have_room_for_text)
                snprintf(s, 128, "%d", j + 1);

where s is an 8 byte buffer. The code should read:

            if(have_room_for_text)
                snprintf(s, sizeof(s), "%d", j + 1);

Assumming j never gets over 8 digits the existing code would seem to be ok.

Revision history for this message
Jon Hornstein (jon-hornstein) wrote :

or better still from #67

            if(have_room_for_text)
                snprintf(s, sizeof(s), "%u", j + 1);

komputes (komputes)
Changed in gnusound:
importance: Undecided → Unknown
status: New → Unknown
Revision history for this message
komputes (komputes) wrote :

I've contacted the upstream project mailing list, the primary developer and have posted a bug on the projects SF bug tracker.

This bug should now be marked as Triaged - Medium.

komputes (komputes)
Changed in gnome-session:
status: New → Invalid
Revision history for this message
komputes (komputes) wrote :

No response from upstream yet. I will leave a week to respond before trying to get in contact with a developer/contributor about this project (or perhaps find another route to fixing this bug).

Revision history for this message
shankao (shankao) wrote :

Confirmed in lucid

tags: added: lucid
Revision history for this message
komputes (komputes) wrote :

Attempted to get in touch with Pascal personally, will post any correspondence in the bug.

Revision history for this message
Pascal (a-haakmat) wrote :

Hi guys

Sorry for the lack of response. I wasn't aware of this problem.

I have also noticed crashes with the binary package. A version built directly from source works fine though.

I will try to resolve this bug in the upcoming week.

Thanks

Pascal.

Revision history for this message
Pascal (a-haakmat) wrote :

Actually, looking over the comments, it seems the bug has already been located :-)

I will release a new version in the upcoming week.

Thanks

Pascal

Revision history for this message
Charlie Kravetz (charlie-tca) wrote : Re: [Bug 282939] Re: gnusound crashes X session immediately on launch (Affects Intrepid, Jaunty, Karmic)

On Wed, 24 Feb 2010 19:05:00 -0000
Pascal <email address hidden> wrote:

> Actually, looking over the comments, it seems the bug has already been
> located :-)
>
> I will release a new version in the upcoming week.
>
> Thanks
>
> Pascal
>

Thank you for the quick response on this.

--
Charlie Kravetz
Linux Registered User Number 425914 [http://counter.li.org/]
Never let anyone steal your DREAM. [http://keepingdreams.com]

Revision history for this message
Marcus Sundman (sundman) wrote : Re: gnusound crashes X session immediately on launch (Affects Intrepid, Jaunty, Karmic)

Why is this marked "invalid" for gnome-session? Should not gnome-session be able to withstand malfunctioning applications?

Revision history for this message
Nobody McMannnnn (nobodymcmannnnn) wrote :

Whoever fixes this should recreate the bug in a separate program to demonstrate how to crash the entire Gnome desktop.

Revision history for this message
Alexey Kotlyarov (koterpillar) wrote : Re: [Bug 282939] Re: gnusound crashes X session immediately on launch (Affects Intrepid, Jaunty, Karmic)

Actually, neither gnusound installed on Lucid nor one compiled from
source crash Gnome session anymore in Lucid.

Revision history for this message
Marcus Sundman (sundman) wrote : Re: gnusound crashes X session immediately on launch (Affects Intrepid, Jaunty, Karmic)

I don't know what Alexey is talking about, because GNUsound 0.7.5-2build1 on Lucid i386 still crashes my gnome session.

Revision history for this message
fishears (johnnyp-ntlworld) wrote :

Same issue as OP. Karmic 32-bit.
Any news on the GNUSound update?

Revision history for this message
komputes (komputes) wrote :

I have tested gnusound (0.7.5-2build1 from universe repo) on Lucid beta and it did not crash my X session, but the program failed to start.

This separate issue has been reported as Bug #545387

Revision history for this message
Nobody McMannnnn (nobodymcmannnnn) wrote :

I've created a fixed i386 package which doesn't crash on my computer. So see if this works at http://gregery.id.au/GNUsound and let me know.

I built against all dependencies to make sure all file formats are supported. However the lame file driver seems to only load mp3 files that were generated by lame and errors with unsupported format for other mp3 files.

Revision history for this message
Nobody McMannnnn (nobodymcmannnnn) wrote :

I fixed it for mp3 files, turns out a header moved to a different directory.

Revision history for this message
Aisano (info-ais-sanmarino) wrote :

I just installed Ubuntu 10.04 beta 2. The problem still exists there. Starting gnusound crashes... whatever, going back to the login dialogue. Starting it from a terminal rather than from the menu it just crashes ("buffer overflow detected"). BTW, this is a new computer, not the one where I first experienced the problem.

I just uploaded an apport report from 10.04.

Revision history for this message
Aisano (info-ais-sanmarino) wrote :
Revision history for this message
Charlie Kravetz (charlie-tca) wrote :

Thanks for reporting this bug and any supporting documentation. Since this bug has enough information provided for a developer to begin work, I'm going to mark it as confirmed and let them handle it from here. Thanks for taking the time to make Ubuntu better!

Changed in gnusound (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Medium
Revision history for this message
Aisano (info-ais-sanmarino) wrote :

I downloaded the source code for gnusound-0.7.5 a couple of days ago but could not get it to build because I lacked too many source packages it depends on, and could not find a list of dependencies. But I can see that in line 797 of draw.c there is still that constant 128 mentioned by Jon Hornstein, while the really available size is only 8 (bytes). The condition on "have_room_for_text" (see Jon's contribution above) may explain why not everybody is experiencing this problem.

Still it is somewhat strange, because the number printed into this 8 byte buffer is bounded by something called "...mixer->output_channels". It would indeed be weird for a sound card to have so many output channels that their number would exceed 7 digits (plus a terminating \0). Maybe the problem is somewhere else. But the wrong buffer length passed to snprintf has to be fixed anyway (using "sizeof(s)" instead of "128). To be entirely on the safe side (here) the buffer "s" might be increased to 12 bytes, so any (even negative) 32-bit integer cannot overflow it. Still it has to be explained how the number of output channels can exceed the amount of 10 million. While we do not know this it may even be the safest thing to put a plausibility check into the code.

As I can reproduce the problem on my hardware, I am willing to perform some tests if somebody can give me clear instructions how to compile the code. After downloading a couple of codec packages I still receive this message from "configure":

checking ffmpeg/avformat.h usability... no
checking ffmpeg/avformat.h presence... no
checking for ffmpeg/avformat.h... no
configure: error: *** no suitable file drivers found ***

No idea what I need to install to make these go away.

Revision history for this message
Alexey Kotlyarov (koterpillar) wrote : Re: [Bug 282939] Re: gnusound crashes X session immediately on launch (Affects Intrepid, Jaunty, Karmic)

> I downloaded the source code for gnusound-0.7.5 a couple of days ago but
> could not get it to build because I lacked too many source packages it
> depends on, and could not find a list of dependencies.
apt-get build-dep gnusound
might help.

> As I can reproduce the problem on my hardware, I am willing to perform
> some tests if somebody can give me clear instructions how to compile the
> code. After downloading a couple of codec packages I still receive this
> message from "configure":
>
> checking ffmpeg/avformat.h usability... no
> checking ffmpeg/avformat.h presence... no
> checking for ffmpeg/avformat.h... no
> configure: error: *** no suitable file drivers found ***
In general, for something.h, libsomething-dev is needed.

Revision history for this message
Aisano (info-ais-sanmarino) wrote : Re: gnusound crashes X session immediately on launch (Affects Intrepid, Jaunty, Karmic)

Thank you , Alexey Kotlyarov, I think this was the information I needed.

After downloading "build-dep gnusound" I was able to compile gnusound (well, I had to remove a couple of GTK_DISABLE_DEPRECATED, otherwise it would not compile).

The problem obviously is the one Jon Hornstein discovered on 2010-02-09 and Pascal confirmed on 2010-02-24, namely a wrong buffer length in draw.c (line 720). If it was fixed the fix obviously never reached the Ubuntu 10.04 branch.

After I had applied the fix suggested by Jon Hornstein gnusound did not crash any more. The interesting thing is that the number of audio channels on my computer is 2, so it has no chance of overrunning an 8 character buffer; but obviously with the "O1" or "O2" compiler options snprintf generates a buffer overrun failure even if it's not necessary. Maybe to apply the "fail early" principle. Might be a good idea but I could not confirm it. (It does not happen with the "O0" optimization flag.)

I attach a not quite minimalistic patch -- I had to format the code a bit to see what is happening. If a one-line patch such as Jon's is desirable I can provide it. (I have had no luck yet in doing anything useful with gnusound but I suppose that is normal; the manual says "GNUsound is not for everyone".)

The Ubuntu package list names "Marc Dequènes (Duck)" as the maintainer for gnusound but he does not seem to be on this bug's notification list (or maybe under a different name). If he is not active at the moment somebody else might be able to trigger a patch, maybe even an SRU for Ubuntu 10.04, as the bug seems to make gnusound unusable for those who are affected.

Revision history for this message
Aisano (info-ais-sanmarino) wrote :

TEST CASE:
Under some configurations, gnusound crashes on startup when compiled with optimization (as usual for a release build). No window appears, the error message is "*** buffer overflow detected ***: /usr/bin/gnusound.real terminated." If you experience this phenomenon you can test the patch.
- Apply the submitted patch
- Call the "gnusound" built from the patched source (in the package directory, calling "src/gnusound")
- Verify the gnusound window to appear, with no "buffer overflow" in the console output.
- Ignore some messages about a "deprecated" call; there is a separate bug about this, and at the moment these messages do not interfere with the functionality. They would be quite easy to fix.

Changed in gnusound (Ubuntu):
status: Triaged → Fix Committed
Revision history for this message
Tom (tom6) wrote :

Good work, much appreciated, thanks :))

Revision history for this message
Aisano (info-ais-sanmarino) wrote :

It is somewhat discomforting that an error in gnusound terminates the Gnome session. I looked into this and found that gnusound defines an elaborate signal handler, probably with the intention to save as much of the user's ongoing work as possible. The code is contained in the "emergency.c" module.

Now the last statement in the "emergency_sighandler" function is a "kill(0, original_signo)". This propagates the caught signal to all processes in the same process group. A "ps -ej" command shows that all processes started through a Gnome menu or a Gnome launcher share the same process group, whose number is the process id of the "gnome-session" process. So when gnusound crashes from a SIGABRT (as in the present case) this signal is propagated to the Gnome session, which accordingly terminates.

Presently I neither understand why all processes launched by Gnome share a process group nor why gnusound propagates signals to the whole process group. The combination of these two facts is certainly fatal and undesirable. Somebody who understands this better than I presently do might make a separate bug out of this.

David Futcher (bobbo)
tags: added: patch-forwarded-upstream
Revision history for this message
Pascal de Bruijn (pmjdebruijn) wrote :

This is a problem on Ubuntu Lucid too (2.6.32-23-generic) with Intel Graphics.

Revision history for this message
Michal Dziczkowski (mdziczkowski) wrote :

I have the same problem. Attaching the crash file

Revision history for this message
sageb1 (shkawamoto) wrote :
Revision history for this message
sageb1 (shkawamoto) wrote :

In the previous attached file, one line stands out as it does in previous attachmens from other users experiencing the same bug.

"player_init:1402: initializing audio driver OSS"

Could it be due to OSS being blacklisted?

Revision history for this message
sageb1 (shkawamoto) wrote :
Revision history for this message
sageb1 (shkawamoto) wrote :

Apologies regarding speculation about OSS. It's not the problem.

Included are the attachments associated with running gnusound with pulseaudio turned off.

Revision history for this message
sageb1 (shkawamoto) wrote :

Here's the most recent of the gnusound.log

Revision history for this message
rockachu2 (rockachu2) wrote :

this is two bugs, as mentioned above, one fox x by allowing to be crashed and one for gnusound for misbehaving that badly

Revision history for this message
rockachu2 (rockachu2) wrote :

this is a buffer overflow error

Revision history for this message
rockachu2 (rockachu2) wrote :
Changed in gnome-session:
status: Invalid → New
Revision history for this message
thom (tsk) wrote :

Bug still in existence on Ubuntu Lucid ( on my athlon II desktop)
Bug still in existence on Ubuntu Maverick (on my Intel Pentium M laptop)

Bug has funny status: New (while being two years old)
;-)

Changed in gnusound (Debian):
status: Unknown → New
Changed in gnusound (Ubuntu):
status: Fix Committed → In Progress
assignee: nobody → Brian Murray (brian-murray)
summary: - gnusound crashes X session immediately on launch (Affects Intrepid,
- Jaunty, Karmic)
+ gnusound crashes X session immediately on launch
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnusound - 0.7.5-3ubuntu2

---------------
gnusound (0.7.5-3ubuntu2) natty; urgency=low

  * Add patch to fix xsession crashes thanks to Jon Hornstein and Aisano
    (LP: #282939)
 -- Brian Murray <email address hidden> Tue, 30 Nov 2010 10:58:47 -0800

Changed in gnusound (Ubuntu):
status: In Progress → Fix Released
Kiwilli (info-tikishop)
Changed in gnome-session:
status: New → Incomplete
Revision history for this message
thom (tsk) wrote :

Changed in gnusound:

gnusound package deleted from repository in oneiric (11.10)
package might be published again:

https://launchpad.net/ubuntu/oneiric/+source/gnusound

Revision history for this message
thom (tsk) wrote :

gnusound package from natty repository (gnusound 0.7.5-3ubuntu2) works in oneiric (11.10)

My thanks to anyone at this project...this is a good and workable intermediate solution until gnusound is back in the oneiric repos

Changed in gnusound (Debian):
status: New → Fix Released
Displaying first 40 and last 40 comments. View all 106 comments or add a comment.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.